INTERFACE
SUBROUTINE DISGRID(KNUM,KIND,KGPTOT,PREAL,LDC,KIOPROC)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMGEM , ONLY : NLOENG ,NGPTOT ,NGPTOTMX
INTEGER(KIND=JPIM),INTENT(IN) :: KGPTOT
INTEGER(KIND=JPIM),INTENT(IN) :: KNUM
INTEGER(KIND=JPIM),INTENT(IN) :: KIND
REAL(KIND=JPRB),INTENT(INOUT) :: PREAL(KGPTOT)
LOGICAL,OPTIONAL,INTENT(IN) :: LDC
INTEGER(KIND=JPIM),OPTIONAL,INTENT(IN) :: KIOPROC
END SUBROUTINE DISGRID
END INTERFACE
